- Main Page
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# PID_DATA Struct Reference

`#include <pid.h>`

## Detailed Description

PID Status.

Setpoints and data used by the PID control algorithm

Definition at line 31 of file pid.h.

## Data Fields
int16_t | D_Factor
| The Derivative tuning constant, multiplied with SCALING_FACTOR.
int16_t | I_Factor
| The Integral tuning constant, multiplied with SCALING_FACTOR.
int16_t | lastProcessValue
| Last process value, used to find derivative of process value.
int16_t | maxError
| Maximum allowed error, avoid overflow.
int32_t | maxSumError
| Maximum allowed sumerror, avoid overflow.
int16_t | P_Factor
| The Proportional tuning constant, multiplied with SCALING_FACTOR.
int32_t | sumError
| Summation of errors, used for integrate calculations.

## Field Documentation

int16_t PID_DATA::D_Factor

The Derivative tuning constant, multiplied with SCALING_FACTOR.

Definition at line 41 of file pid.h.

Referenced by pid_Controller(), and pid_Init().

int16_t PID_DATA::I_Factor

The Integral tuning constant, multiplied with SCALING_FACTOR.

Definition at line 39 of file pid.h.

Referenced by pid_Controller(), and pid_Init().

int16_t PID_DATA::lastProcessValue

Last process value, used to find derivative of process value.

Definition at line 33 of file pid.h.

Referenced by pid_Controller(), and pid_Init().

int16_t PID_DATA::maxError

Maximum allowed error, avoid overflow.

Definition at line 43 of file pid.h.

Referenced by pid_Controller(), and pid_Init().

int32_t PID_DATA::maxSumError

Maximum allowed sumerror, avoid overflow.

Definition at line 45 of file pid.h.

Referenced by pid_Controller(), and pid_Init().

int16_t PID_DATA::P_Factor

The Proportional tuning constant, multiplied with SCALING_FACTOR.

Definition at line 37 of file pid.h.

Referenced by pid_Controller(), and pid_Init().

int32_t PID_DATA::sumError

Summation of errors, used for integrate calculations.

Definition at line 35 of file pid.h.

Referenced by pid_Controller(), pid_Init(), and pid_Reset_Integrator().